# Frame

A `Frame` holds data for augmenting the physical scene with the virtual scene.

## Properties

### session

`frame.session: Session, read-only`

A reference to the [session](session.md).

### results

`frame.results: Iterable<TrackerResult>, read-only`

Use this property to iterate through the [results](tracker-result.md) generated by the [trackers](tracker.md).

**Example**

```js
function animate(time, frame)
{
    for(const result of frame.results) {
        // ...
    }

    session.requestAnimationFrame(animate);
}

session.requestAnimationFrame(animate);
```